Subject: Re: [PATCH] gitweb: fill in gitweb configuration by Makefile

From: Jakub Narebski <[email-masked]>
Date: Mon, 31 Jul 2006 09:38:26 +0200

Martin Waitz wrote:

> On Sun, Jul 30, 2006 at 06:20:26PM -0700, Junio C Hamano wrote:
>>
>> I think the other parts are sensible but I am not sure if we
>> want to report the version of git distribution (your patch), or
>> the version of git binary the cgi script happens to use (the
>> current implementation).
> 
> hmm, right.
> Well, now that gitweb is included with GIT I think that they will
> be in sync on many sites, but of course that's not guaranteed.
> 
> Shall I send a new patch without that change?

There are currently two version variables in gitweb: the version of the
script, and the version of git binaries used. They might be different.
But now that gitweb is bundled with git, perhaps we could use compile-time
git version as gitweb version, i.e. 

  our $version = "@@GIT_VERSION@@";

while leaving $git_version as is, i.e.

  our $git_version = 
    qx($GIT --version) =~ m/git version (.*)$/ ? $1 : "unknown"

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git